# $Revision: 1.18 $, $Date: 2012/04/03 10:03:15 $
Summary:	Courier Socks 5 client library
Summary(pl.UTF-8):	Biblioteki klienckie Socks 5
Name:		courier-sox
Version:	0.10
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/courier/%{name}-%{version}.tar.bz2
# Source0-md5:	7526b08d7eb6a797dad9b299934a09c3
Patch0:		%{name}-init.patch
URL:		http://www.courier-mta.org
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	courier-authlib-devel
BuildRequires:	gdbm-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/courier-sox

%description
This is a generic Socks 5 client support library.

%description -l pl.UTF-8
Ogólna biblioteka kliencka Socks 5.

%package devel
Summary:	Socks 5 client header files
Summary(pl.UTF-8):	Pliki nagłówkowe klienta socks 5
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files for building applications that use
Socks 5 proxies.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji używających
proxy Socks 5.

%package server
Summary:	Socks 5 server
Summary(pl.UTF-8):	Serwer socks 5
Group:		Networking/Utilities
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description server
This package contains the Courier Socks 5 server. Install this package
if you want to run a Socks 5 server.

%description server -l pl.UTF-8
Ten pakiet zawiera serwer couriera socks 5. Jeżeli chcesz uruchamiać
serwer socks5, zainstaluj ten pakiet.

%package static
Summary:	Socks 5 client static libraries
Summary(pl.UTF-8):	Biblioteki statyczne klienta socks 5
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libraries for building applications that
use Socks 5 proxies.

%description static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne do tworzenia aplikacji
używających proxy Socks 5.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

ln -sf ../config.sub libltdl/config.sub

%configure \
	--libexecdir=%{_libexecdir}

%{__make}
%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install courier-sox.sysvinit $RPM_BUILD_ROOT/etc/rc.d/init.d/courier-sox

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post server
/sbin/chkconfig --add courier-sox
%service courier-sox restart

%preun server
if [ "$1" = "0" ]; then
	%service courier-sox stop
	/sbin/chkconfig --del courier-sox
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README *.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_libdir}/lib*.la
%{_mandir}/man1/socksify*
%{_mandir}/man3/socks*
%{_mandir}/man5/*
%{_mandir}/man8/mkbl4*
%{_sysconfdir}/socksrc

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files server
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/courier-sox
%{_mandir}/man1/sockd*
%attr(755,root,root) %{_sbindir}/sockd
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/sockd

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: courier-sox.spec,v $
Revision 1.18  2012/04/03 10:03:15  hawk
- proper sourceforge URL

Revision 1.17  2012/04/03 09:09:30  hawk
- updated to 0.10, build fix no longer needed

Revision 1.16  2008/01/19 22:12:50  hawk
- updated to 0.07
- BR: gdbm-devel

Revision 1.15  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.13  2006/04/16 21:10:22  glen
- use %service

Revision 1.12  2005/11/03 20:15:43  glen
- unify sf url, and other things that adapter felt neccessary

Revision 1.11  2005/08/16 23:36:34  andree
- updated to 0.06
- changed source0 address

Revision 1.10  2005/07/11 11:18:09  andree
- updated %descripiton

Revision 1.9  2005/04/28 07:11:27  andree
- refresh config.sub; rel. 3

Revision 1.8  2005/04/22 09:42:34  andree
- BR: courier-authlib-devel
- rel. 2 STBR

Revision 1.7  2005/04/16 19:20:40  andree
- added missing dir
- added -init.patch (few fixes for init file)
- rel. 1 (builds&works)

Revision 1.6  2005/04/16 01:01:39  andree
- %post, %files fixes

Revision 1.5  2005/04/16 00:11:30  andree
- splited server package
- rel. 0.5

Revision 1.4  2005/04/14 00:20:55  andree
- updated to 0.05
- added -build.patch to allow build

Revision 1.3  2004/11/08 18:23:57  zergin
- added missing BR: libltdl-devel (by Zbyniu Krzystolik)

Revision 1.2  2004/07/24 21:28:24  qboosh
- pl

Revision 1.1  2004/07/24 20:53:35  andree
- initial spec
